<?php

namespace Schaffen\Gef\Http\Controllers;

use App\Http\Utils\Response;
use App\Models\Cadastro\Filial;
use App\Models\Estoque\Cadastro\LocalEstoque;
use App\Models\Financeiro\CentroCusto;
use App\Models\Produto\ProdutoVariedadeEmbalagem;
use App\Models\SCHModel;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

class DadosController extends Controller
{
   public function filiais()
   {
      $filiais = Filial::getFiliaisUsuario();
      return Response::success('',array('dados' => $filiais));
   }

//   public function centrosCusto()
//   {
//      $centros_custo = CentroCusto::where("ccu_status", 1)->orderBy("ccu_descricao")->get();
//      return Response::success('', array('dados' => $centros_custo));
//   }

   public function locaisEstoque($filial)
   {
      if($filial === 'undefined'){
         return Response::faillure('Selecione uma filial válida');
      }
      $locais_estoque = LocalEstoque::getLocaisEstoque($filial);
      return Response::success('', array('dados' => $locais_estoque));
   }

//   public function getProdutoNome($nome)
//   {
//      $filtroObject = [SCHModel::buildFilterObject("pro_descricao||' - '||prv_descricao||' - '||unm_descricao", "ilike", "%{$nome}%")];
//      $filtroObject[] = SCHModel::buildFilterObject("pro_status", "=", "1");
//      $filtroObject[] = SCHModel::buildFilterObject("pve_padrao", "=", "1");
//      $filtroObject[] = SCHModel::buildFilterObject("cla_descricao_completa", "LIKE", "Combustível");
//      return Response::success("", ProdutoVariedadeEmbalagem::getProdutoVariedadeEmbalagem($filtroObject));
//   }
//
//   public function getProdutos($filtro)
//   {
//      $filtroObject = json_decode($filtro);
//      if (json_last_error() !== JSON_ERROR_NONE) {
//         return Response::faillure('Objeto json de filtro é inválido: ' . json_last_error_msg(), null, 400);
//      }
//      $filtroObject[] = SCHModel::buildFilterObject("pro_status", "=", "1");
//      $filtroObject[] = SCHModel::buildFilterObject("pve_padrao", "=", "1");
//      $filtroObject[] = SCHModel::buildFilterObject("cla_descricao_completa", "LIKE", "Combustível");
//      return Response::success("", ProdutoVariedadeEmbalagem::getProdutoVariedadeEmbalagem($filtroObject));
//   }

}
